# TownNameParams Struct Reference

Struct holding a parameters used to generate town name. More...

`#include <townname_type.h>`

## Public Member Functions
| TownNameParams (byte town_name)
| Initializes this struct from language ID.
| TownNameParams (const struct Town *t)
## Data Fields
uint32 | grfid
| newgrf ID (0 if not used)
uint16 | type
| town name style

## Detailed Description

Struct holding a parameters used to generate town name.

Speeds things up a bit because these values are computed only once per name generation.

Definition at line 24 of file townname_type.h.

## Constructor & Destructor Documentation

TownNameParams::TownNameParams | ( | byte | town_name | ) | `[inline]`

Initializes this struct from language ID.

Parameters:

  | town_name | town name 'language' ID

Definition at line 32 of file townname_type.h.

References _nb_orig_names, grfid, and type.

The documentation for this struct was generated from the following file:

- src/townname_type.h